pipeline {
  agent any
   environment {
    DOCKERHUB_CREDENTIALS = credentials('dockerhub')
    SSH_CREDENTIALS = credentials('host_windows11')
  }
  stages {
    stage('Docker Build') {
      steps {
      	sh 'docker build -t vodo100801/vtd-test .'
      }
    }
    stage('Login dockerhub') {
        steps{
              sh 'echo $DOCKERHUB_CREDENTIALS_PSW | docker login -u $DOCKERHUB_CREDENTIALS_USR --password-stdin'
        }
    }
    stage('Push image') {
      steps {
        sh 'docker push vodo100801/vtd-test'
      }
    }
    stage('Logout dockerhub') {
      steps {
        sh 'docker logout'
      }
    }
    stage('Deploying gradle-app container to Kubernetes') {
      steps {
        ansiblePlaybook credentialsId: 'host_win11',disableHostKeyChecking: true, installation: 'Ansible', playbook: 'playbook.yml'
      }
    }  
  }
}